#!/usr/bin/env node
"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

var _commander = _interopRequireDefault(require("commander"));

var _logger = _interopRequireDefault(require("../utils/logger"));

var _package = require("../../package.json");

require("../utils/env");

_commander["default"].option('-s, --silent', '禁用所有输出信息').command('start', '启动本地服务', {
  isDefault: true
}).command('build', '编译工程').parse(process.argv);

if (!_commander["default"].silent) {
  _logger["default"].info("dace/".concat(_package.version, " ").concat(process.env.npm_config_user_agent));
}