"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _express = _interopRequireDefault(require("express"));

var _default = function _default(app) {
  // 当 publicPath = '/' 需要将编译目录挂载为虚拟目录（本地开发模式）
  if (process.env.DACE_PUBLIC_PATH === '/') {
    app.use(_express["default"]["static"](process.env.DACE_PATH_CLIENT_DIST));
  }
};

exports["default"] = _default;
module.exports = exports.default;