"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _regenerator = _interopRequireDefault(require("@babel/runtime/regenerator"));

var _asyncToGenerator2 = _interopRequireDefault(require("@babel/runtime/helpers/asyncToGenerator"));

var _WebpackDevServerUtils = require("react-dev-utils/WebpackDevServerUtils");

// Checks if PORT and PORT_DEV are available and suggests alternatives if not
var _default =
/*#__PURE__*/
(0, _asyncToGenerator2["default"])(
/*#__PURE__*/
_regenerator["default"].mark(function _callee() {
  var _process$env, DACE_HOST, DACE_PORT, webserverPort, staticPort;

  return _regenerator["default"].wrap(function _callee$(_context) {
    while (1) {
      switch (_context.prev = _context.next) {
        case 0:
          _process$env = process.env, DACE_HOST = _process$env.DACE_HOST, DACE_PORT = _process$env.DACE_PORT;
          webserverPort = parseInt(DACE_PORT, 10);
          staticPort = webserverPort + 1;
          _context.next = 5;
          return (0, _WebpackDevServerUtils.choosePort)(DACE_HOST, webserverPort);

        case 5:
          _context.next = 7;
          return (0, _WebpackDevServerUtils.choosePort)(DACE_HOST, staticPort);

        case 7:
        case "end":
          return _context.stop();
      }
    }
  }, _callee);
}));

exports["default"] = _default;
module.exports = exports.default;