"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _react = _interopRequireDefault(require("react"));

var _propTypes = _interopRequireDefault(require("prop-types"));

var _jsxFileName = "/Users/zhi.zhong/workspace/github/dacejs/dace/src/runtime/components/NotFound.js";

/**
 * 路由无匹配结果时提示找不到页面的组件
 *
 * @param {object} location
 * @return {component}
 */
var NotFound = function NotFound(_ref) {
  var location = _ref.location;
  return _react["default"].createElement("h1", {
    __source: {
      fileName: _jsxFileName,
      lineNumber: 11
    }
  }, "Ooops, No match for ", _react["default"].createElement("code", {
    __source: {
      fileName: _jsxFileName,
      lineNumber: 11
    }
  }, location.pathname));
};

NotFound.propTypes = {
  location: _propTypes["default"].object.isRequired
};
var _default = NotFound;
exports["default"] = _default;
module.exports = exports.default;