"use strict";

var _interopRequireDefault = require("@babel/runtime/helpers/interopRequireDefault");

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;

var _path = _interopRequireDefault(require("path"));

/**
 * 将相对路径转换成绝对路径
 * @param {string} file 目录或者文件
 * @return {string} 目录或者文件的绝对路径
 */
var _default = function _default(file) {
  if (file) {
    var _process$env$DACE_PAT = process.env.DACE_PATH_ROOT,
        DACE_PATH_ROOT = _process$env$DACE_PAT === void 0 ? '.' : _process$env$DACE_PAT;

    if (_path["default"].isAbsolute(file)) {
      return file;
    }

    return _path["default"].resolve(DACE_PATH_ROOT, file);
  }

  return file;
};

exports["default"] = _default;
module.exports = exports.default;